<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB User Main home page controller
 *
 * @package    OSB
 * @subpackage Page/Affiliate
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Controller_TemplateDefault_Affiliate extends Controller_TemplateDefault_User {
	/**
	 * This will filter a search query to only return the affiliates
	 */
	protected function filter($o,$af,$sort='account->name()',$afid='affiliate_id') {
		$result = array();

		foreach ($o as $x) {
			if (isset($x->$afid)) {
				if ($x->$afid == $af)
					array_push($result,$x);

			} elseif (method_exists($x,'list_affiliates')) {
				if (in_array($af,$x->list_affiliates()))
					array_push($result,$x);

			}
		}

		if ($sort)
			Sort::MAsort($result,$sort);

		return $result;
	}
}
?>
